---
schema_version: "1"
id: 54a512ca109dabcca14dfd9eba0c619904428fc4c34954acb710b7eadc59d956
title: How to Get Tenant Name
collection: tableau
version: next
locale: en-us
portal_url: https://docs.salesforce.com/tableau/next/en-us/api/cloud-manager/docs/tenant.md
canonical_url: https://help.tableau.com/v0.0/api/cloud-manager/en-us/docs/tenant.html
source_site: help.tableau.com
content_type: documentation
content_hash: b0f04d382b7056f1bdb90775c7fcdad23f2e35254225a9d002193350d86e62fc
description: Documentation for the Tableau Cloud Manager
---
# How to Get Tenant Name

  

A tenant in Tableau Cloud is the top-level administrative layer that holds all your sites, users, and licenses. Cloud administrators operate at this level using Tableau Cloud Manager (TCM).

To sign in to Tableau Cloud Manager REST API, you must know the name of the tenant that you want to access.

**Table of Contents**

## Get tenant name in TCM UI

The most direct way to find the tenant name is by signing into the TCM UI from the email invitation you received when you were initially added to TCM. If you don’t have the email invitation, you can follow the “Forgot URI” workflow.

### Option 1: Sign in from email invitation

1. Navigate to the TCM email invitation you received.
2. In the email invitation, click the **Sign In** button.
3. Follow the prompts to enter your password and complete the sign-in process. **Note:** Your sign-in experience depends on the authentication set up for TCM.

The tenant name is in the first portion of the URL after you’ve signed in to TCM. For example, if your tenant URL is https://mytenant.cloudmanager.tableau.com, the tenant name you can use to sign in to TCM and in Tableau Cloud Manager REST API requests is `mytenant`.

### Option 2: Sign in using “Forgot URI” workflow

1. On the [Tableau Cloud Manager sign-in](https://cloudmanager.tableau.com) page, enter your username (email address) and click the **Sign In** button. **Note:** The username you enter depends on the authentication set up for TCM.
2. Click **Forgot URI**. This will prompt an email notification to be sent to you.
3. Navigate to the email notification from Tableau and copy the verification code.
4. Back on the **Check your email** page, paste the verification code you copied, and click the **Verify** button.
5. On the **Select where to sign in** page, select the tenant and click the **Sign In** button. For example, select `Cloud Manager: MyTenant`.
6. Follow the prompts to enter your password and complete the sign-in process. **Note:** Your sign-in experience depends on the authentication set up for TCM.

The tenant name is in first portion of the URL after you’ve signed in to TCM. For example, if your tenant URL is https://mytenant.cloudmanager.tableau.com, the tenant name you use to sign in to the Tableau Cloud Manager REST API is `mytenant`.

## Get tenant ID

To find the tenant ID (`tenantId`), you have one of two options: Sign in to TCM REST API with a personal access token or sign in to TCM (UI) and use your browser’s developer tools.

### Option 1: Sign in to TCM REST API using personal access token

1. Make a call to the [Sign in with personal access token](/v0.0/api/cloud-manager/en-us/reference/index.html##tag/Authentication-Methods/operation/personalAccessTokenLogin) to sign in to the Tableau Cloud Manager REST API.
2. Review the response body for the `tenantId`.

### Option 2: Sign in to TCM (UI) and use browser developer tools

The procedure described below uses Google Chrome.

1. Sign in to [Tableau Cloud Manager](https://cloudmanager.tableau.com).
2. On your browser page, navigate to the browser’s developer tools. For example:
    - 2.1 On the browser menu, select **More Tools** > **Developer Tools**.
    - 2.2 Click on the **Network** tab.
    - 2.3 Under Name section, navigate to and click **userinfo**.
    - 2.4 Review the Response tab for the `tenantId`.